/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.test.wsrf;

import javax.xml.namespace.QName;

import org.apache.muse.ws.resource.impl.AbstractWsResourceCapability;

public class MyCapabilityImpl 
    extends AbstractWsResourceCapability implements MyCapability
{
    private static final QName[] _PROPERTIES = new QName[]{
        new QName(NAMESPACE_URI, "MyProperty", PREFIX)
    };
    
    private String[] _myProperty = null;
    
    public QName[] getPropertyNames()
    {
        return _PROPERTIES;
    }
    
    public String[] getMyProperty()
    {
        return _myProperty;
    }
    
    public void setMyProperty(String[] myProperty)
    {
        _myProperty = myProperty;
    }
}
